
%define upname	kirigami2

Name:		kirigami
Version:	5.115.0
Release:	%mkrel 1
Summary:	A QtQuick based components set
License:	LGPLv2
Group:		Graphical desktop/KDE5
URL:		https://techbase.kde.org/Kirigami
Source0:	http://download.kde.org/stable/kirigami/%{upname}-%{version}.tar.xz
BuildRequires: cmake
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5quick-devel
BuildRequires: mesa-devel
BuildRequires: lib64qt5concurrent-devel

Requires:	qtquickcontrols5
Requires:	qtquickcontrols25
Provides:	%{upname} = %{version}-%{release}

%description
Kirigami is KDE’s lightweight user interface framework for mobile
and convergent applications. It allows Qt developers to easily create
applications that run on most major mobile and desktop platforms without
modification (though adapted user interfaces for different form-factors
are supported and recommended for optimal user experience). It extends
the touch-friendly Qt Quick Controls with larger application building
blocks, following the design philosophy laid out in the Kirigami Human
Interface Guidelines.

%files -f libkirigami2plugin_qt.lang
%{_kf5_qmldir}/org/kde/kirigami.2/
%{_kf5_libdir}/libKF5Kirigami2.so.*
%{_kf5_datadir}/kdevappwizard/templates/kirigami.tar.bz2
#--------------------------------------------------------------------

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{upname}-devel = %{version}-%{release}

%description	devel
This package contains header files needed if you wish to build
applications based on %{name}.

%files devel
%{_kf5_libdir}/cmake
%{_kf5_mkspecsdir}
%{_includedir}
%{_kf5_libdir}/libKF5Kirigami2.so
#--------------------------------------------------------------------

%prep
%setup -q -n %{upname}-%{version}
%autopatch -p1

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -DBUILD_TESTING=OFF -DBUILD_EXAMPLES=OFF
%ninja_build

%install
%ninja_install -C build

%find_lang_kf5 libkirigami2plugin_qt


%changelog
* Sun Feb 11 2024 tex - 5.115.0-1pclos2024
- new version

* Sat Jan 13 2024 tex - 5.114.0-1pclos2024
- new version

* Fri Dec 15 2023 tex - 5.113.0-1pclos2023
- new version

* Sun Nov 12 2023 tex - 5.112.0-1pclos2023
- new version

* Thu Oct 19 2023 tex - 5.111.0-1pclos2023
- new version

* Sun Sep 10 2023 tex - 5.110.0-1pclos2023
- new version

* Sat Aug 19 2023 tex - 5.109.0-1pclos2023
- new version

* Sun Jul 09 2023 tex - 5.108.0-1pclos2023
- new version
